UNPKG

@loopback/docs

Version:

Documentation files rendered at [https://loopback.io](https://loopback.io)

133 lines (65 loc) 2.38 kB
--- lang: en title: 'API docs: rest.resthttperrors' keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI sidebar: lb4_sidebar editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest permalink: /doc/en/lb4/apidocs.rest.resthttperrors.html --- <!-- Do not edit this file. It is automatically generated by API Documenter. --> [Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestHttpErrors](./rest.resthttperrors.md) ## RestHttpErrors namespace **Signature:** ```typescript export declare namespace RestHttpErrors ``` ## Functions <table><thead><tr><th> Function </th><th> Description </th></tr></thead> <tbody><tr><td markdown="1"> [invalidData(data, name, extraProperties)](./rest.resthttperrors.invaliddata.md) </td><td markdown="1"> </td></tr> <tr><td markdown="1"> [invalidParamLocation(location)](./rest.resthttperrors.invalidparamlocation.md) </td><td markdown="1"> </td></tr> <tr><td markdown="1"> [invalidRequestBody(details)](./rest.resthttperrors.invalidrequestbody.md) </td><td markdown="1"> </td></tr> <tr><td markdown="1"> [missingRequired(name)](./rest.resthttperrors.missingrequired.md) </td><td markdown="1"> </td></tr> <tr><td markdown="1"> [unsupportedMediaType(contentType, allowedTypes)](./rest.resthttperrors.unsupportedmediatype.md) </td><td markdown="1"> </td></tr> </tbody></table> ## Interfaces <table><thead><tr><th> Interface </th><th> Description </th></tr></thead> <tbody><tr><td markdown="1"> [ValidationErrorDetails](./rest.resthttperrors.validationerrordetails.md) </td><td markdown="1"> An invalid request body error contains a `details` property as the machine-readable error. Each entry in `error.details` contains 4 attributes: `path`<!-- -->, `code`<!-- -->, `info` and `message`<!-- -->. `ValidationErrorDetails` defines the type of each entry, which is an object. The type of `error.details` is `ValidationErrorDetails[]`<!-- -->. </td></tr> </tbody></table> ## Variables <table><thead><tr><th> Variable </th><th> Description </th></tr></thead> <tbody><tr><td markdown="1"> [INVALID\_REQUEST\_BODY\_MESSAGE](./rest.resthttperrors.invalid_request_body_message.md) </td><td markdown="1"> </td></tr> </tbody></table>